package com.bonus.canteen.core.marketing.v2.rule.price.handler.sumgive.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

@ApiModel("计价规则详情-满额赠送-item")
public class PriceSumGiveItem {
   @ApiModelProperty("门槛金额(分)")
   private BigDecimal doorAmount;
   @ApiModelProperty("赠送金额")
   private BigDecimal giveAmount;
   @ApiModelProperty("赠送钱包")
   private Integer walletId;

   public BigDecimal getDoorAmount() {
      return this.doorAmount;
   }

   public BigDecimal getGiveAmount() {
      return this.giveAmount;
   }

   public Integer getWalletId() {
      return this.walletId;
   }

   public void setDoorAmount(final BigDecimal doorAmount) {
      this.doorAmount = doorAmount;
   }

   public void setGiveAmount(final BigDecimal giveAmount) {
      this.giveAmount = giveAmount;
   }

   public void setWalletId(final Integer walletId) {
      this.walletId = walletId;
   }

}
